> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/appendix/json-object/recurring-object.md).

# Recurring Object

| No | Name         | Type                                                                    | Mandatory | Min Length | Max Length | Description                                                         |
| -- | ------------ | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------------------------- |
| 1  | productCode  | String                                                                  | O         | 1          | 6          | Recurring productCode                                               |
| 2  | type         | [Enum](/api-reference/appendix/enumeration/recurring-type-list.md)      | C         | 1          | 6          | Recurring type. Mandatory while recurring.subscribe is Y            |
| 3  | id           | String                                                                  | C         | 1          | 30         | Recurring id. Mandatory while recurring.subscribe is Y              |
| 4  | amount       | Numeric                                                                 | C         | 1          | 14         | Recurring amount. Mandatory while recurring.type in TOPUP, PURCHASE |
| 5  | interval     | Numeric                                                                 | O         | 1          | 2          | Recurring interval                                                  |
| 6  | intervalUnit | [Enum](/api-reference/appendix/enumeration/interval-unit-list.md)       | O         | 1          | 20         | Recurring intervalUnit                                              |
| 7  | maxInterval  | Numeric                                                                 | O         | 1          | 2          | Recurring maxInterval                                               |
| 8  | startDate    | Date Format (YYYYMMDD)                                                  | O         | 8          | 8          | Recurring startDate                                                 |
| 9  | endDate      | Date Format (YYYYMMDD)                                                  | O         | 8          | 8          | Recurring endDate                                                   |
| 10 | retry        | [Object](/api-reference/appendix/json-object/recurring-retry-object.md) | O         | 1          | 3          | Recurring retry                                                     |

```
"recurring": {
    "subscribe":"Y",
    "productCode": "001001",
    "type": "PURCHASE",
    "id": "abcd",
    "amount": "1000",
    "interval": "1",
    "intervalUnit": "monthly",
    "maxInterval": "2",
    "startDate": "20220101",
    "endDate": "20220101",
    "retry": {
        "interval": "1",
        "intervalUnit": "minutes",
        "maxInterval": "1"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/recurring-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
